Package org.apache.cxf.bus.spring

# Class BusEntityResolver

java.lang.Object
org.springframework.beans.factory.xml.DelegatingEntityResolver
org.apache.cxf.bus.spring.BusEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class BusEntityResolver extends org.springframework.beans.factory.xml.DelegatingEntityResolver

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.DelegatingEntityResolver

  `DTD_SUFFIX, XSD_SUFFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusEntityResolver(ClassLoader loader, EntityResolver dr, EntityResolver sr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputSource`
  `resolveEntity(String publicId, String systemId)`

  ### Methods inherited from class org.springframework.beans.factory.xml.DelegatingEntityResolver

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BusEntityResolver

    public BusEntityResolver(ClassLoader loader, EntityResolver dr, EntityResolver sr)

- ## Method Details

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Overrides:
      `resolveEntity` in class `org.springframework.beans.factory.xml.DelegatingEntityResolver`
    Throws:
      `SAXException`
      `IOException`